WordPress.org

Plugin Directory

MailPoet WooCommerce Add-on

Let your customers subscribe to your newsletter/s as they checkout with their purchase.

v3.0.2 - 10/11/2015

  • Added another check if logged in user is subscribed for function - on_process_order(). This fixes an issue when a returning customer who is already subscribed places another order.
  • Moved subscription check and applied it to both single and multi subscriptions methods. This fixes the ability to order without subscribing and re-order if a previous customer.

v3.0.1 - 07/11/2015

  • Corrected incorrect text domain for loading the language files.

v3.0.0 - 06/11/2015

  • Compatible - WooCommerce v2.3 and up.
  • Added - Customers can now select which newsletter to subscribe to.
  • Added - Double Opt-in option to send a confirmation email.
  • Added - Option to have the checkbox/s checked or un-checked.
  • Added - Option to place the subscription fields on the checkout page were you want.
  • Added - If customer has already subscribed, don't show the subscription field/s on the checkout page.
  • Fixed - Default checkbox label is no longer left blank.
  • Improved - The overall code of this plugin.
  • Updated - Much improved localization copy.

v2.0.2 - 14/02/2015

  • Fixed fatal error conflict with WooCommerce v2.3.3

v2.0.1 - 25/03/2014

  • Added - Arabic language.
  • Corrected - If function 'mailpoet_lists' is already defined, then don't load again.
  • Removed - Translation of the brand name 'MailPoet' only.
  • Updated - POT file.
  • Updated - Plugin Update Information filter

v2.0.0 - 11/03/2014

  • Updated - Code structure.
  • Updated - POT file.
  • Updated - Read me file.
  • Now Supports - WooCommerce v2.0 and up, v2.1 and up.

v1.0.3 - 03/03/2014

  • Added - Greek, Portuguese and Russian languages.

v1.0.2 - 07/01/2014

  • Corrected - Default source language from en_GB to en_US, now both UK and US language is available.
  • Renamed - 'lang' folder to 'languages'.
  • Added - mailpoet-woocommerce-addon.pot file.
  • Updated - Read me file.

v1.0.1 - 04/01/2014

  • Added - Turkish language.
  • Updated - ReadMe file.

v1.0.0 - 20/12/2013

  • Initial Version.

Requires: 4.0 or higher
Compatible up to: 4.4.3
Last Updated: 5 months ago
Active Installs: 6,000+

Ratings

5 out of 5 stars

Support

1 of 7 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1
0,1,0 100,1,1
0,2,0 100,2,2